import React from 'react';
import { DropdownSelector } from '@/lib/components/DropdownSelector/DropdownSelector';
import { Input } from '@/lib/components/inputs';

interface Vis1DSettingsHistogramCountProps {
  settings: any;
  updateSettings: (updatedSettings: any) => void;
  attributeOptions: { name: string; type: string }[];
  filterYLabel: string;
  setFilterYLabel: React.Dispatch<React.SetStateAction<string>>;
  filterZLabel: string;
  setFilterZLabel: React.Dispatch<React.SetStateAction<string>>;
}

export const Vis1DSettingsHistogramCount = ({
  settings,
  updateSettings,
  attributeOptions,
  filterYLabel,
  setFilterYLabel,
  filterZLabel,
  setFilterZLabel,
}: Vis1DSettingsHistogramCountProps) => {
  return (
    <div>
      <div className="mb-2">
        <DropdownSelector
          label="Z Axis"
          selectedValue={settings.zAxisLabel.name}
          options={attributeOptions}
          filter={filterZLabel}
          setFilter={setFilterZLabel}
          onChange={selected => {
            if (selected.name === 'No selection') {
              updateSettings({ zAxisLabel: { name: '', type: '' } });
            } else {
              updateSettings({ zAxisLabel: { name: selected.name, type: selected.type } });
            }
          }}
        />
        <div className="mb-2">
          <Input type="boolean" label="Stack: " value={settings.stack} onChange={val => updateSettings({ stack: val })} />
        </div>
      </div>
    </div>
  );
};
