export type Vis1DInputData = {
  data: (string | number)[];
  label: string;
  type: string;
};

export interface Vis1DProps {
  plotType: (typeof plotTypeOptions)[number];
  title: string;
  selectedEntity: string;
  xAxisLabel: VariableSelection;
  yAxisLabel: VariableSelection;
  zAxisLabel: VariableSelection;
  showAxis: boolean;
  //groupData?: 'quarterly' | 'hourly' | 'minutely' | 'yearly' | 'monthly' | undefined;
  groupDataByTime?: string;
  groupAggregation?: string;
  stack: boolean;
}

export const plotTypeOptions = ['bar', 'scatter', 'line', 'histogram', 'pie'] as const;

export type VariableSelection = {
  name: string;
  type: string;
};

export enum Vis1DHistogramAggregation {
  COUNT = 'count',
  DEGREE = 'degree',
}
export const vis1DHistogramAggregationOptions = Object.values(Vis1DHistogramAggregation);

export interface Vis1DVisHandle {
  exportImageInternal: () => void;
}
